; from  WinUser.h


#define VK_LBUTTON        $01
#define VK_RBUTTON        $02
#define VK_CANCEL         $03
#define VK_MBUTTON        $04    ;/* NOT contiguous with L & RBUTTON */

;/*
; * $07 : unassigned
;*/

#define VK_BACK           $08
#define VK_TAB            $09

;/*
; * $0A - $0B : reserved
; */

#define VK_CLEAR          $0C
#define VK_RETURN         $0D

#define VK_SHIFT          $10
#define VK_CONTROL        $11
#define VK_MENU           $12
#define VK_PAUSE          $13
#define VK_CAPITAL        $14

#define VK_KANA           $15
#define VK_HANGEUL        $15  ;/* old name - should be here for compatibility */
#define VK_HANGUL         $15
#define VK_JUNJA          $17
#define VK_FINAL          $18
#define VK_HANJA          $19
#define VK_KANJI          $19

#define VK_ESCAPE         $1B

#define VK_CONVERT        $1C
#define VK_NONCONVERT     $1D
#define VK_ACCEPT         $1E
#define VK_MODECHANGE     $1F

#define VK_SPACE          $20
#define VK_PRIOR          $21
#define VK_NEXT           $22
#define VK_END            $23
#define VK_HOME           $24
#define VK_LEFT           $25
#define VK_UP             $26
#define VK_RIGHT          $27
#define VK_DOWN           $28
#define VK_SELECT         $29
#define VK_PRINT          $2A
#define VK_EXECUTE        $2B
#define VK_SNAPSHOT       $2C
#define VK_INSERT         $2D
#define VK_DELETE         $2E
#define VK_HELP           $2F

;/*
; * VK_0 - VK_9 are the same as ASCII '0' - '9' ($30 - $39)
; * $40 : unassigned
; * VK_A - VK_Z are the same as ASCII 'A' - 'Z' ($41 - $5A)
; */

#define VK_LWIN           $5B
#define VK_RWIN           $5C
#define VK_APPS           $5D

;/*
; * $5E : reserved
; */

#define VK_SLEEP          $5F

#define VK_NUMPAD0        $60
#define VK_NUMPAD1        $61
#define VK_NUMPAD2        $62
#define VK_NUMPAD3        $63
#define VK_NUMPAD4        $64
#define VK_NUMPAD5        $65
#define VK_NUMPAD6        $66
#define VK_NUMPAD7        $67
#define VK_NUMPAD8        $68
#define VK_NUMPAD9        $69
#define VK_MULTIPLY       $6A
#define VK_ADD            $6B
#define VK_SEPARATOR      $6C
#define VK_SUBTRACT       $6D
#define VK_DECIMAL        $6E
#define VK_DIVIDE         $6F
#define VK_F1             $70
#define VK_F2             $71
#define VK_F3             $72
#define VK_F4             $73
#define VK_F5             $74
#define VK_F6             $75
#define VK_F7             $76
#define VK_F8             $77
#define VK_F9             $78
#define VK_F10            $79
#define VK_F11            $7A
#define VK_F12            $7B
#define VK_F13            $7C
#define VK_F14            $7D
#define VK_F15            $7E
#define VK_F16            $7F
#define VK_F17            $80
#define VK_F18            $81
#define VK_F19            $82
#define VK_F20            $83
#define VK_F21            $84
#define VK_F22            $85
#define VK_F23            $86
#define VK_F24            $87

;/*
; * $88 - $8F : unassigned
; */

#define VK_NUMLOCK        $90
#define VK_SCROLL         $91

;/*
; * NEC PC-9800 kbd definitions
; */
#define VK_OEM_NEC_EQUAL  $92   ;// '=' key on numpad

;/*
; * Fujitsu/OASYS kbd definitions
; */
#define VK_OEM_FJ_JISHO   $92   ;// 'Dictionary' key
#define VK_OEM_FJ_MASSHOU $93   ;// 'Unregister word' key
#define VK_OEM_FJ_TOUROKU $94   ;// 'Register word' key
#define VK_OEM_FJ_LOYA    $95   ;// 'Left OYAYUBI' key
#define VK_OEM_FJ_ROYA    $96   ;// 'Right OYAYUBI' key

;/*
; * $97 - $9F : unassigned
; */

;/*
; * VK_L* & VK_R* - left and right Alt, Ctrl and Shift virtual keys.
; * Used only as parameters to GetAsyncKeyState() and GetKeyState().
; * No other API or message will distinguish left and right keys in this way.
; */
#define VK_LSHIFT         $A0
#define VK_RSHIFT         $A1
#define VK_LCONTROL       $A2
#define VK_RCONTROL       $A3
#define VK_LMENU          $A4
#define VK_RMENU          $A5


;/*
; * $B8 - $B9 : reserved
; */

#define VK_OEM_1          $BA   ;// ';:' for US
#define VK_OEM_PLUS       $BB   ;// '+' any country
#define VK_OEM_COMMA      $BC   ;// ',' any country
#define VK_OEM_MINUS      $BD   ;// '-' any country
#define VK_OEM_PERIOD     $BE   ;// '.' any country
#define VK_OEM_2          $BF   ;// '/?' for US
#define VK_OEM_3          $C0   ;// '`~' for US

;/*
; * $C1 - $D7 : reserved
; */

;/*
; * $D8 - $DA : unassigned
; */

#define VK_OEM_4          $DB  ;//  '[{' for US
#define VK_OEM_5          $DC  ;//  '\|' for US
#define VK_OEM_6          $DD  ;//  ']}' for US
#define VK_OEM_7          $DE  ;//  ''"' for US
#define VK_OEM_8          $DF

;/*
; * $E0 : reserved
; */

;/*
; * Various extended or enhanced keyboards
; */
#define VK_OEM_AX         $E1  ;//  'AX' key on Japanese AX kbd
#define VK_OEM_102        $E2  ;//  "<>" or "\|" on RT 102-key kbd.
#define VK_ICO_HELP       $E3  ;//  Help key on ICO
#define VK_ICO_00         $E4  ;//  00 key on ICO


#define VK_ICO_CLEAR      $E6

;/*
; * $E8 : unassigned
; */

;/*
; * Nokia/Ericsson definitions
; */
#define VK_OEM_RESET      $E9
#define VK_OEM_JUMP       $EA
#define VK_OEM_PA1        $EB
#define VK_OEM_PA2        $EC
#define VK_OEM_PA3        $ED
#define VK_OEM_WSCTRL     $EE
#define VK_OEM_CUSEL      $EF
#define VK_OEM_ATTN       $F0
#define VK_OEM_FINISH     $F1
#define VK_OEM_COPY       $F2
#define VK_OEM_AUTO       $F3
#define VK_OEM_ENLW       $F4
#define VK_OEM_BACKTAB    $F5

#define VK_ATTN           $F6
#define VK_CRSEL          $F7
#define VK_EXSEL          $F8
#define VK_EREOF          $F9
#define VK_PLAY           $FA
#define VK_ZOOM           $FB
#define VK_NONAME         $FC
#define VK_PA1            $FD
#define VK_OEM_CLEAR      $FE
